//
//	Class definition for Pricing Dialog class
//

#ifndef THE_PRICING_DIALOG_H
#define THE_PRICING_DIALOG_H

#include "theStringManager.h"
#include "ldwTiledDialog.h"
#include "ldwTextControl.h"

class ldwImageGrid;

class thePricingDlg : public ldwTiledDialog
{
public:

	thePricingDlg();
	~thePricingDlg();

	int  GetResult();

	bool HandleKey(int messageId,int keyCode,int character);
	bool HandleMessage(int messageId,long data);

protected:

	enum {eOkButtonId = 1, eCancelButtonId, eUpButtonId, eDownButtonId};

	void DrawNoFadeScene();

	ldwImageGrid *mTiles;
	ldwTextControl *numInput;

	int focusRow;
	int focusColumn;

	int  mResult;
};

#endif
